commit: 12f81d379ec8240436f4500bc37be4198f3d0157
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 18 21:58:19 2015 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Nov 22 09:00:12 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12f81d37
distutils-r1.eclass: Ban DISTUTILS_NO_PARALLEL_BUILD in EAPI 6
eclass/distutils-r1.eclass | 2 ++
1 file changed, 2 insertions(+)
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index e55e2e4..6054f27 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -691,6 +691,8 @@ _distutils-r1_run_foreach_impl() {
debug-print-function ${FUNCNAME} "${@}"
if [[ ${DISTUTILS_NO_PARALLEL_BUILD} ]]; then
+ [[ ${EAPI} == [45] ]] || die "DISTUTILS_NO_PARALLEL_BUILD is
banned in EAPI ${EAPI}"
+
eqawarn "DISTUTILS_NO_PARALLEL_BUILD is no longer meaningful.
Now all builds"
eqawarn "are non-parallel. Please remove it from the ebuild."